diff -Naur haddock/src/HaddockUtil.hs haddock/src/HaddockUtil.hs
--- haddock/src/HaddockUtil.hs	2004-10-21 15:00:16.000000000 +0200
+++ haddock/src/HaddockUtil.hs	2004-10-21 15:51:10.211521360 +0200
@@ -188,12 +188,12 @@
 
 moduleHeaderRE :: Regex
 moduleHeaderRE = mkRegexWithOpts
-			 "^([ \t\n]*Module[ \t]*:.*\n)?\ 
-			  \([ \t\n]*Copyright[ \t]*:.*\n)?\ 
-			  \([ \t\n]*License[ \t]*:.*\n)?\ 
-			  \[ \t\n]*Maintainer[ \t]*:(.*)\n\ 
-			  \[ \t\n]*Stability[ \t]*:(.*)\n\ 
-			  \[ \t\n]*Portability[ \t]*:([^\n]*)\n"
+			( "^([ \t\n]*Module[ \t]*:.*\n)?" ++
+			  "([ \t\n]*Copyright[ \t]*:.*\n)?" ++
+			  "([ \t\n]*License[ \t]*:.*\n)?" ++
+			  "[ \t\n]*Maintainer[ \t]*:(.*)\n" ++
+			  "[ \t\n]*Stability[ \t]*:(.*)\n" ++
+			  "[ \t\n]*Portability[ \t]*:([^\n]*)\n" )
 		True -- match "\n" with "."
 		False -- not case sensitive
 	-- All fields except the last (Portability) may be multi-line.
diff -Naur haddock/src/HaddockVersion.hs haddock/src/HaddockVersion.hs
--- haddock/src/HaddockVersion.hs	2004-10-21 15:00:16.000000000 +0200
+++ haddock/src/HaddockVersion.hs	2004-10-21 15:51:13.734985712 +0200
@@ -14,5 +14,4 @@
 
 -- The version comes in via CPP from mk/version.mk
 projectVersion :: String
-projectVersion = tail "\ 
-  \ HADDOCK_VERSION"
+projectVersion = "0.6"
diff -Naur haddock/src/Main.hs haddock/src/Main.hs
--- haddock/src/Main.hs	2004-10-21 15:00:16.000000000 +0200
+++ haddock/src/Main.hs	2004-10-21 15:51:19.185157160 +0200
@@ -460,8 +460,8 @@
 
   when (not (null name_strings)) $
 	  tell ["Warning: " ++ show mdl ++ 
-		": the following names could not be resolved:\n\ 
-		\   " ++ concat (map (' ':) name_strings)
+		": the following names could not be resolved:\n" ++
+		"   " ++ concat (map (' ':) name_strings)
 		]
 
   return (mdl, Interface { 
